This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Virtual Servers

1 - 1.3

get /v1/servers

Description

List Virtual Servers.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server name
Example : servername
any of [string, null]None
queryip
optional
IP address
Example : 192.169.3.2
any of [string, null]None
querystate
optional
Server state
Example : ACTIVE
any of [string, null]None
queryproduct_category
optional
Product category
Example : compute
any of [enum (compute, container), null]None
queryproduct_offering
optional
Product offering
Example : virtual_server
any of [array[enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm)], enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm), null]None
queryvpc_id
optional
VPC ID
Example : cc976b621087484ea5fd527f4b78708b
any of [string, null]None
queryserver_type_id
optional
Server type ID
Example : s1v1m2
any of [string, null]None
querylimit
optional
Page size of items
Example : 20
any of [integer, null]None
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc
queryauto_scaling_group_id
optional
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Example HTTP response

Response 200

{
    "servers": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "addresses": [
                {
                    "ip_addresses": [
                        {
                            "ip_address": "192.169.3.2",
                            "version": 4
                        }
                    ],
                    "subnet_name": "subnetname"
                }
            ],
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-01-15T10:30:00.000Z",
            "created_by": "97e6b22c9a4143789ca522df7457a32f",
            "disk_config": "MANUAL",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
            "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "is_marketplace": false,
            "keypair_name": "keypairname",
            "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
            "locked": false,
            "metadata": "",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "servername",
            "partition_number": 1,
            "planned_compute_os_type": "windows",
            "product_category": "compute",
            "product_offering": "virtual_server",
            "security_groups": [
                {
                    "name": "securitygroup"
                }
            ],
            "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
            "server_type": {
                "disk": 100,
                "ephemeral": 0,
                "extra_specs": "",
                "id": "s1v1m2",
                "name": "s1v1m2",
                "ram": 2,
                "swap": 0,
                "vcpus": 1
            },
            "state": "ACTIVE",
            "volumes": [
                {
                    "delete_on_termination": false,
                    "id": "3f500f00-ed80-4566-a057-e31760226f9a"
                }
            ],
            "vpc_id": "cc976b621087484ea5fd527f4b78708b"
        }
    ]
}

2 - 1.2

get /v1/servers

Description

List Virtual Servers.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server name
Example : servername
any of [string, null]None
queryip
optional
IP address
Example : 192.169.3.2
any of [string, null]None
querystate
optional
Server state
Example : ACTIVE
any of [string, null]None
queryproduct_category
optional
Product category
Example : compute
any of [enum (compute, container), null]None
queryproduct_offering
optional
Product offering
Example : virtual_server
any of [array[enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm)], enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm), null]None
queryvpc_id
optional
VPC ID
Example : cc976b621087484ea5fd527f4b78708b
any of [string, null]None
queryserver_type_id
optional
Server type ID
Example : s1v1m2
any of [string, null]None
querylimit
optional
Page size of items
Example : 20
any of [integer, null]None
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc
queryauto_scaling_group_id
optional
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Example HTTP response

Response 200

{
    "servers": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "addresses": [
                {
                    "ip_addresses": [
                        {
                            "ip_address": "192.169.3.2",
                            "version": 4
                        }
                    ],
                    "subnet_name": "subnetname"
                }
            ],
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-01-15T10:30:00.000Z",
            "created_by": "97e6b22c9a4143789ca522df7457a32f",
            "disk_config": "MANUAL",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
            "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "is_marketplace": false,
            "keypair_name": "keypairname",
            "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
            "locked": false,
            "metadata": "",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "servername",
            "partition_number": 1,
            "planned_compute_os_type": "windows",
            "product_category": "compute",
            "product_offering": "virtual_server",
            "security_groups": [
                {
                    "name": "securitygroup"
                }
            ],
            "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
            "server_type": {
                "disk": 100,
                "ephemeral": 0,
                "extra_specs": "",
                "id": "s1v1m2",
                "name": "s1v1m2",
                "ram": 2,
                "swap": 0,
                "vcpus": 1
            },
            "state": "ACTIVE",
            "volumes": [
                {
                    "delete_on_termination": false,
                    "id": "3f500f00-ed80-4566-a057-e31760226f9a"
                }
            ],
            "vpc_id": "cc976b621087484ea5fd527f4b78708b"
        }
    ]
}

3 - 1.1

get /v1/servers

Description

List Virtual Servers.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server name
Example : servername
any of [string, null]None
queryip
optional
IP address
Example : 192.169.3.2
any of [string, null]None
querystate
optional
Server state
Example : ACTIVE
any of [string, null]None
queryproduct_category
optional
Product category
Example : compute
any of [enum (compute, container), null]None
queryproduct_offering
optional
Product offering
Example : virtual_server
any of [array[enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm)], enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm), null]None
queryvpc_id
optional
VPC ID
Example : cc976b621087484ea5fd527f4b78708b
any of [string, null]None
queryserver_type_id
optional
Server type ID
Example : s1v1m2
any of [string, null]None
querylimit
optional
Page size of items
Example : 20
any of [integer, null]None
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc
queryauto_scaling_group_id
optional
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "servers": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "addresses": [
                {
                    "ip_addresses": [
                        {
                            "ip_address": "192.169.3.2",
                            "version": 4
                        }
                    ],
                    "subnet_name": "subnetname"
                }
            ],
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-01-15T10:30:00.000Z",
            "created_by": "97e6b22c9a4143789ca522df7457a32f",
            "disk_config": "MANUAL",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
            "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "is_marketplace": false,
            "keypair_name": "keypairname",
            "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
            "locked": false,
            "metadata": "",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "servername",
            "partition_number": 1,
            "planned_compute_os_type": "windows",
            "product_category": "compute",
            "product_offering": "virtual_server",
            "security_groups": [
                {
                    "name": "securitygroup"
                }
            ],
            "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
            "server_type": {
                "disk": 100,
                "ephemeral": 0,
                "extra_specs": "",
                "id": "s1v1m2",
                "name": "s1v1m2",
                "ram": 2,
                "swap": 0,
                "vcpus": 1
            },
            "state": "ACTIVE",
            "volumes": [
                {
                    "delete_on_termination": false,
                    "id": "3f500f00-ed80-4566-a057-e31760226f9a"
                }
            ],
            "vpc_id": "cc976b621087484ea5fd527f4b78708b"
        }
    ]
}

4 - 1.0

get /v1/servers

Description

List Virtual Servers.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server name
Example : servername
any of [string, null]None
queryip
optional
IP address
Example : 192.169.3.2
any of [string, null]None
querystate
optional
Server state
Example : ACTIVE
any of [string, null]None
queryproduct_category
optional
Product category
Example : compute
any of [enum (compute, container), null]None
queryproduct_offering
optional
Product offering
Example : virtual_server
any of [array[enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm)], enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm), null]None
queryvpc_id
optional
VPC ID
Example : cc976b621087484ea5fd527f4b78708b
any of [string, null]None
queryserver_type_id
optional
Server type ID
Example : s1v1m2
any of [string, null]None
querylimit
optional
Page size of items
Example : 20
any of [integer, null]None
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc
queryauto_scaling_group_id
optional
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "servers": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "addresses": [
                {
                    "ip_addresses": [
                        {
                            "ip_address": "192.169.3.2",
                            "version": 4
                        }
                    ],
                    "subnet_name": "subnetname"
                }
            ],
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-01-15T10:30:00.000Z",
            "created_by": "97e6b22c9a4143789ca522df7457a32f",
            "disk_config": "MANUAL",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
            "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "is_marketplace": false,
            "keypair_name": "keypairname",
            "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
            "locked": false,
            "metadata": "",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "servername",
            "partition_number": 1,
            "planned_compute_os_type": "windows",
            "product_category": "compute",
            "product_offering": "virtual_server",
            "security_groups": [
                {
                    "name": "securitygroup"
                }
            ],
            "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
            "server_type": {
                "disk": 100,
                "ephemeral": 0,
                "extra_specs": "",
                "id": "s1v1m2",
                "name": "s1v1m2",
                "ram": 2,
                "swap": 0,
                "vcpus": 1
            },
            "state": "ACTIVE",
            "volumes": [
                {
                    "delete_on_termination": false,
                    "id": "3f500f00-ed80-4566-a057-e31760226f9a"
                }
            ],
            "vpc_id": "cc976b621087484ea5fd527f4b78708b"
        }
    ]
}